Subject: Re: AMCC 440EP phy detection

From: Stefan Roese <[email-masked]>
Date: Wed, 8 Apr 2009 18:01:27 +0200

On Wednesday 08 April 2009, Eddie Dawydiuk wrote:
> > I found the ibm_newemac driver(2.6.29) makes the assumption that the
> > bootloader has already configured the tx enable pin as it is a
> > multiplexed pin. Unfortuantley I am not using U-Boot and our minimal
> > bootloader does not do this.  After finding tx enable was never
> > asserting for Eth0 a quick user space program verified tx enable was
> > configured as a GPIO pin.
>
> I would like to eventually submit our changes for upstream support. Based
> on this would you recommend ensuring tx enable is configured properly in
> the initialization of the ibm_newemac driver or the platform
> initialization?

This GPIO multiplexing configuration does not belong into the ibm_newemac 
driver since it is very platform/board specific. The platform code is 
definitely a better place.

Best regards,
Stefan

=====================================================================
DENX Software Engineering GmbH,     MD: Wolfgang Denk & Detlev Zundel
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: +49-8142-66989-0 Fax: +49-8142-66989-80  Email: [email-masked]
=====================================================================